GuideLab API

Update an inventory category

Updates the properties of an existing inventory category such as name, description, icon, or active status.

PUT
/inventory/categories/{id}

Updates the properties of an existing inventory category such as name, description, icon, or active status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Category ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/inventory/categories/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "organizationId": "string",    "parentId": "string",    "name": "string",    "description": "string",    "icon": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty